POST/hotelinfo/

Get Hotel Info

This method is used to fetch list of hotels and their location details, within the desired proximity of venue geolocation, or for a whole city.

Implementation Notes

This API call returns the basic details of hotels available in our AI hotel database. In case the hotel you search for is not displayed in our database, please send a request to events@aggregateintelligence.in. We will try to make it available within the next 24 hours.
POST/hotelinfo/

Important Notes

Search Criteria:

  • Any parameter (single or in any combination).
  • If lat and lng are chosen, then proximity must also be provided.

Field Formats:

  • proximity
    Format: Should be numeric and in miles.
    Example: { "proximity": 2 }
  • hotelCode
    A unique ID assigned to a hotel in the AI hotel database.
    If the user knows the hotelCode, they can fetch the basic hotel details by calling this method.

Parameter Details

NameInTypeRequiredDescription
hotelsinfoPerPagequeryintegerOptionalThe number of items to display in a page
pageNumberqueryintegerOptionalIndicates the current page number
bodybodyRequirednone

Responses

StatusMeaningDescriptionSchema
200OKOK
400Bad RequestBad Request - Invalid request parameters.None
401UnauthorizedUnauthorized - Authentication required.None
429Too Many RequestsToo Many RequestsNone
500Internal Server ErrorInternal Server Error - Issue with the server.None

Example Request

# You can also use wget
curl -X POST /hotelinfo/ \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "hotelCode": 0,
  "hotelCodes": [],
  "hotelName": "",
  "address": "",
  "city": "",
  "state": "",
  "zip": "",
  "country": "",
  "rating": "",
  "lat": "",
  "lng": "",
  "proximity": 0
}

Example responses

200 Response
{
  "pageInfo": {
    "totalRecords": 533411,
    "fetchedRecords": 1,
    "totalPages": 533411,
    "currentPage": 1,
    "pageSize": 1
  },
  "hotels": [
    {
      "hotelCode": 2,
      "hotelName": "Gwynn's Island RV Resort",
      "address": "551 Buckchase Road",
      "city": "Gwynn",
      "state": "Virginia",
      "zip": "23066",
      "country": "United States",
      "latitude": "37.4909",
      "longitude": "-76.2745",
      "rating": "4.00"
    }
  ]
}

Example 1

{
  "hotelCode": 0,
  "hotelCodes": [],
  "hotelName": "",
  "address": "",
  "city": "",
  "state": "",
  "zip": "",
  "country": "",
  "rating": "1",
  "lat": "",
  "lng": "",
  "proximity": 0
}

Example 2

{
  "hotelCode": 0,
  "hotelCodes": [5991590,5993989],
  "hotelName": "",
  "address": "",
  "city": "",
  "state": "",
  "zip": "",
  "country": "",
  "rating": "1",
  "lat": "",
  "lng": "",
  "proximity": 0
}

Example 3

{
  "hotelCode": 0,
  "hotelCodes": [],
  "hotelName": "",
  "address": "",
  "city": "",
  "state": "",
  "zip": "",
  "country": "",
  "rating": "1",
  "lat": "41.8913913",
  "lng": "-87.6054344",
  "proximity": 5
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.